3

Lately I have been having an exceedingly difficult time getting my extension approved for Magento Connect. I am packaging using 1.7, and I have followed all the instructions in the Packing Extension Guidelines (as far as I understand them), but my submissions are always returned with the following item for correction:

Extension Packaging: Repackage your extension correctly so that compatible Community Editions and/or Enterprise Editions correspond with correct channels. (Magento Connect 1.0 and Magento Connect 2.0) Please associate Magento versions 1.5 and above with Magento Connect 2.0 and Magento versions 1.4 and below with Magento Connect 1.0.

I take this to mean that when packaging my extension, the channel value should be aligned to the versions of Magento that I'm targeting ("connect.magentocommerce.com/community" for pre 1.5, and simply "community" for 1.5 and above). Is that the correct interpretation?

And this is what I have selected during the packaging process:

enter image description here

However all my submissions come back instructing me to repacking my extension to correspond with the correct channel. If it's not done in the "Package Info" section, where is that supposed to be done?

Edit: Since my initial posting, I've also tried packaging the extension using CE 1.9.1.0, but have still received the response that my packaging is incorrect.

  • 1
    when you upload the version to Magento Connect - which versions did you tick? – Kristof at Fooman Feb 26 '15 at 2:16
  • I selected versions 1.5 through 1.9 – Kyril Feb 26 '15 at 14:01
  • I don't see an obvious issue with what you've described. Can you upgrade to CE 1.9 to perform the packaging? Perhaps there's some issue with that specific version... Another idea would be to try to use github.com/astorm/MagentoTarToConnect to automate the packaging to minimize any potential manual errors. – Adam Hobson Apr 15 '15 at 20:10
  • @AdamHobson, thanks for yoru response. I should have probably edited my question prior to posting the bounty. Since my initial posting I've tried packaging in 1.9, but unfortunately received the same response. However, I did not know about Alan Storm's packaging tool, and will try that asap. – Kyril Apr 15 '15 at 20:58
  • 1
    Have you replied to that response you got from Magento and asked them for clarification? That seems to me the best way to go here. – James Anelay - TheExtensionLab Apr 16 '15 at 0:17
1

I guess that your problem is regarding the package contents and it folder types. Here is an example of one of my modules output. Just check if your folders corresponds to the correct targets.

enter image description here

  • My extension only contains the modules directory, and the configuration file. They are both using the correct path. I even unpackaged the .tgz to confirm that all the files were there. – Kyril Apr 18 '15 at 20:30
1

the issue that reviewer did not see you package on the prereview extension. Please check the value of the "Show on front-end" settings on the extension version. Please change it to Yes, so reviewer will have ability to see version on the extension page.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.